<h4>Attribute</h4>

<table class="table table-bordered table-responsive table-hover">
	<thead>
	<tr>
		<th>Name</th>
		<th>Wertname</th>
		<th>Herkunft</th>
		<th>Aktiv</th>
		<th>&nbsp;</th>
	</tr>
	</thead>
	<tbody>
	{foreach from=$lfsIdealoAttribute item=attr name=attibutes}
		<tr>
			<td><input type="text" name="cName" id="cName_{$attr->id}" value="{$attr->cName}" class="form-control"></td>
			<td><input type="text" name="cWertname" id="cWertname_{$attr->id}" value="{$attr->cWertname}" class="form-control"></td>
			<td>
				<select name="eWertHerkunft" id="eWertHerkunft_{$attr->id}" class="form-control">
					{foreach from=$eWertHerkunft_arr key=key item=herkunft}
						<option value="{$herkunft}"{if $attr->eWertHerkunft == $herkunft} selected{/if}>{$key}</option>
					{/foreach}
				</select>
			</td>
			<td><input type="checkbox" name="bAktiv" id="bAktiv_{$attr->id}" value="1"{if $attr->bAktiv == 1} checked{/if}></td>
			<td>
                {if $attr->bStandard == 1}
					<button class="btn btn-warning resetAttr" data-attribute_id="{$attr->id}">Zurcksetzen</button>
                {else}
					<button class="btn btn-danger deleteAttr" data-attribute_id="{$attr->id}">Lschen</button>
                {/if}&nbsp;
                <button class="btn btn-success saveAttr" data-group_id="0" data-attribute_id="{$attr->id}">Speichern</button>
			</td>
		</tr>
	{/foreach}
	<tr>
		<td><input type="text" name="cName" id="cName_new" value="" class="form-control"></td>
		<td><input type="text" name="cWertname" id="cWertname_new" value="" class="form-control"></td>
		<td>
			<select name="eWertHerkunft" id="eWertHerkunft_new" class="form-control">
                {foreach from=$eWertHerkunft_arr key=key item=herkunft}
					<option value="{$herkunft}">{$key}</option>
                {/foreach}
			</select>
		</td>
		<td><input type="checkbox" name="bAktiv" id="bAktiv_new" value="1"></td>
		<td>
			<button class="btn btn-success saveAttr" data-group_id="0" data-attribute_id="0">Hinzufgen</button>
		</td>
	</tr>
	</tbody>
</table>
<h4>Attribut-Gruppen</h4>
{if isset($lfsIdealoAttributGroups.7)}
	<table class="table table-bordered table-responsive table-hover">
		<thead>
		<tr>
			<th>Gruppenname</th>
			<th>Aktiv</th>
			<th>&nbsp;</th>
		</tr>
		</thead>
		<tbody>
		<tr>
			<td><input type="text" name="name" id="cGroupName_{$lfsIdealoAttributGroups.7->id}" value="{$lfsIdealoAttributGroups.7->name}" class="form-control"></td>
			<td>
				<input type="checkbox" name="bAktiv" id="bGruppeAktiv_{$lfsIdealoAttributGroups.7->id}" value="1"{if $lfsIdealoAttributGroups.7->bAktiv == 1} checked{/if}>
			</td>
			<td>
                {if $lfsIdealoAttributGroups.7->bStandard == 0}<button class="btn btn-danger deleteAttrGroup">Lschen</button>{else}&nbsp; {/if}&nbsp;
				<button class="btn btn-success saveAttrGroup" data-group_id="{$lfsIdealoAttributGroups.7->id}">Speichern</button>
			</td>
		</tr>
		<tr>
			<td colspan="4">
				<h5>Gruppen-Attribute</h5>
				<table class="table table-bordered table-responsive table-hover">
					<thead>
					<tr>
						<th>Name</th>
						<th>Wertname</th>
						<th>Herkunft</th>
						<th>&nbsp;</th>
					</tr>
					</thead>
					<tbody>
                    {if $lfsIdealoAttributGroups.7->attributes|count > 0}
                        {foreach from=$lfsIdealoAttributGroups.7->attributes item=attr name=attibutes}
							<tr>
								<td>
									<select name="cName" id="cName_{$attr->id}" class="form-control">
                                        {foreach from=$lfsPaymentCostsMapping item=mapping key=key}
											<option value="{$mapping}" {if $attr->cName == $mapping} selected{/if}>{$key}</option>
                                        {/foreach}
									</select>
								</td>
								<td><input type="text" name="cWertname" id="cWertname_{$attr->id}" value="{$attr->cWertname}" class="form-control"></td>
								<td>
									<select name="eWertHerkunft" id="eWertHerkunft_{$attr->id}" class="form-control">
                                        {foreach from=$eWertHerkunft_arr key=key item=herkunft}
											<option value="{$herkunft}"{if $attr->eWertHerkunft == $herkunft} selected{/if}>{$key}</option>
                                        {/foreach}
									</select>
								</td>
								<td>
                                    {if $attr->bStandard == 1}
									<button class="btn btn-warning resetAttr" data-attribute_id="{$attr->id}">Zurcksetzen</button>
                                    {else}
									<button class="btn btn-danger deleteAttr" data-attribute_id="{$attr->id}">Lschen</button>
                                    {/if}&nbsp;
									<button class="btn btn-success saveAttr" data-group_id="{$lfsIdealoAttributGroups.7->id}" data-attribute_id="{$attr->id}">Speichern</button>
								</td>
							</tr>
                        {/foreach}
                    {/if}
					<tr>
						<td>
							<select name="cName" id="cName_{$lfsIdealoAttributGroups.7->id}_new" class="form-control">
                                {foreach from=$lfsPaymentCostsMapping item=mapping key=key}
									<option value="{$mapping}" {if $attr->cName == $mapping} selected{/if}>{$key}</option>
                                {/foreach}
							</select>
						</td>
						<td><input type="text" name="cWertname" id="cWertname_{$lfsIdealoAttributGroups.7->id}_new" value="" class="form-control"></td>
						<td>
							<select name="eWertHerkunft" id="eWertHerkunft_{$lfsIdealoAttributGroups.7->id}_new" class="form-control">
                                {foreach from=$eWertHerkunft_arr key=key item=herkunft}
									<option value="{$herkunft}">{$key}</option>
                                {/foreach}
							</select>
						</td>
						<td>
							<button class="btn btn-success saveAttr" data-group_id="{$lfsIdealoAttributGroups.7->id}" data-attribute_id="0">Hinzufgen</button>
						</td>
					</tr>
					</tbody>
				</table>
			</td>
		</tr>
		</tbody>
	</table>
{/if}
{if isset($lfsIdealoAttributGroups.8)}
	<table class="table table-bordered table-responsive table-hover">
		<thead>
		<tr>
			<th>Gruppenname</th>
			<th>Aktiv</th>
			<th>&nbsp;</th>
		</tr>
		</thead>
		<tbody>
		<tr>
			<td><input type="text" name="name" id="cGroupName_{$lfsIdealoAttributGroups.8->id}" value="{$lfsIdealoAttributGroups.8->name}" class="form-control"></td>
			<td>
				<input type="checkbox" name="bAktiv" id="bGruppeAktiv_{$lfsIdealoAttributGroups.8->id}" value="1"{if $lfsIdealoAttributGroups.8->bAktiv == 1} checked{/if}>
			</td>
			<td>
                {if $lfsIdealoAttributGroups.8->bStandard == 0}<button class="btn btn-danger deleteAttrGroup">Lschen</button>{else}&nbsp; {/if}&nbsp;
				<button class="btn btn-success saveAttrGroup" data-group_id="{$lfsIdealoAttributGroups.8->id}">Speichern</button>
			</td>
		</tr>
		<tr>
			<td colspan="4">
				<h5>Gruppen-Attribute</h5>
				<table class="table table-bordered table-responsive table-hover">
					<thead>
					<tr>
						<th>Name</th>
						<th>Wertname</th>
						<th>Herkunft</th>
						<th>&nbsp;</th>
					</tr>
					</thead>
					<tbody>
                    {if $lfsIdealoAttributGroups.8->attributes|count > 0}
                        {foreach from=$lfsIdealoAttributGroups.8->attributes item=attr name=attibutes}
							<tr>
								<td>
									<select name="cName" id="cName_{$attr->id}" class="form-control">
										{foreach from=$lfsDeliveryCostsMapping item=mapping key=key}
											<option value="{$mapping}" {if $attr->cName == $mapping} selected{/if}>{$key}</option>
										{/foreach}
									</select>
								</td>
								<td><input type="text" name="cWertname" id="cWertname_{$attr->id}" value="{$attr->cWertname}" class="form-control"></td>
								<td>
									<select name="eWertHerkunft" id="eWertHerkunft_{$attr->id}" class="form-control">
                                        {foreach from=$eWertHerkunft_arr key=key item=herkunft}
											<option value="{$herkunft}"{if $attr->eWertHerkunft == $herkunft} selected{/if}>{$key}</option>
                                        {/foreach}
									</select>
								</td>
								<td>
                                    {if $attr->bStandard == 1}
									<button class="btn btn-warning resetAttr" data-attribute_id="{$attr->id}">Zurcksetzen</button>
                                    {else}
									<button class="btn btn-danger deleteAttr" data-attribute_id="{$attr->id}">Lschen</button>
                                    {/if}&nbsp;
									<button class="btn btn-success saveAttr" data-group_id="{$lfsIdealoAttributGroups.8->id}" data-attribute_id="{$attr->id}">Speichern</button>
								</td>
							</tr>
                        {/foreach}
                    {/if}
					<tr>
						<td>
							<select name="cName" id="cName_{$lfsIdealoAttributGroups.8->id}_new" class="form-control">
                                {foreach from=$lfsDeliveryCostsMapping item=mapping key=key}
									<option value="{$mapping}" {if $attr->cName == $mapping} selected{/if}>{$key}</option>
                                {/foreach}
							</select>
						<td><input type="text" name="cWertname" id="cWertname_{$lfsIdealoAttributGroups.8->id}_new" value="" class="form-control"></td>
						<td>
							<select name="eWertHerkunft" id="eWertHerkunft_{$group->id}_new" class="form-control">
                                {foreach from=$eWertHerkunft_arr key=key item=herkunft}
									<option value="{$herkunft}">{$key}</option>
                                {/foreach}
							</select>
						</td>
						<td>
							<button class="btn btn-success saveAttr" data-group_id="{$lfsIdealoAttributGroups.8->id}" data-attribute_id="0">Hinzufgen</button>
						</td>
					</tr>
					</tbody>
				</table>
			</td>
		</tr>
		</tbody>
	</table>
{/if}
{foreach from=$lfsIdealoAttributGroups item=group name=attributegroups}
	{if $group->id != 8 && $group->id != 9}
	<table class="table table-bordered table-responsive table-hover">
		<thead>
		<tr>
			<th>Gruppenname</th>
			<th>Aktiv</th>
			<th>&nbsp;</th>
		</tr>
		</thead>
		<tbody>
			<tr>
				<td><input type="text" name="name" id="cGroupName_{$group->id}" value="{$group->name}" class="form-control"></td>
				<td><input type="checkbox" name="bAktiv" id="bGruppeAktiv_{$group->id}" value="1"{if $group->bAktiv == 1} checked{/if}></td>
				<td>
					{if $group->bStandard == 0}<button class="btn btn-danger deleteAttrGroup">Lschen</button>{else}&nbsp; {/if}&nbsp;
					<button class="btn btn-success saveAttrGroup" data-group_id="{$group->id}">Speichern</button>
				</td>
			</tr>
			<tr>
				<td colspan="4">
					<h5>Gruppen-Attribute</h5>
					<table class="table table-bordered table-responsive table-hover">
						<thead>
						<tr>
							<th>Name</th>
							<th>Wertname</th>
							<th>Herkunft</th>
							<th>&nbsp;</th>
						</tr>
						</thead>
						<tbody>
						{if $group->attributes|count > 0}
							{foreach from=$group->attributes item=attr name=attibutes}
								<tr>
									<td><input type="text" name="cName" id="cName_{$attr->id}" value="{$attr->cName}" class="form-control"></td>
									<td><input type="text" name="cWertname" id="cWertname_{$attr->id}" value="{$attr->cWertname}" class="form-control"></td>
									<td>
										<select name="eWertHerkunft" id="eWertHerkunft_{$attr->id}" class="form-control">
											{foreach from=$eWertHerkunft_arr key=key item=herkunft}
												<option value="{$herkunft}"{if $attr->eWertHerkunft == $herkunft} selected{/if}>{$key}</option>
											{/foreach}
										</select>
									</td>
									<td>
										{if $attr->bStandard == 1}
											<button class="btn btn-warning resetAttr" data-attribute_id="{$attr->id}">Zurcksetzen</button>
										{else}
											<button class="btn btn-danger deleteAttr" data-attribute_id="{$attr->id}">Lschen</button>
										{/if}&nbsp;
										<button class="btn btn-success saveAttr" data-group_id="{$group->id}" data-attribute_id="{$attr->id}">Speichern</button>
									</td>
								</tr>
							{/foreach}
						{/if}
						<tr>
							<td><input type="text" name="cName" id="cName_{$group->id}_new" value="" class="form-control"></td>
							<td><input type="text" name="cWertname" id="cWertname_{$group->id}_new" value="" class="form-control"></td>
							<td>
								<select name="eWertHerkunft" id="eWertHerkunft_{$group->id}_new" class="form-control">
									{foreach from=$eWertHerkunft_arr key=key item=herkunft}
										<option value="{$herkunft}">{$key}</option>
									{/foreach}
								</select>
							</td>
							<td>
								<button class="btn btn-success saveAttr" data-group_id="{$group->id}" data-attribute_id="0">Hinzufgen</button>
							</td>
						</tr>
						</tbody>
					</table>
				</td>
			</tr>
		</tbody>
	</table>
	<hr>
    {/if}
{/foreach}

<script>
	var form_url = "{$FORM_URL}";
	$('.saveAttr').on("click", function(e) {
		e.preventDefault();
		var data = [];
		var group_id = $(this).data("group_id");
		var attribute_id = $(this).data("attribute_id");

        if (attribute_id === 0) {
            if (group_id === 0) {
                data = {
                    type: "saveattribute",
                    id: attribute_id,
                    cName: $('#cName_new').val(),
                    cWertname: $('#cWertname_new').val(),
                    bAktiv: ($('#bAktiv_new').prop("checked"))?1:0,
                    eWertHerkunft: $('#eWertHerkunft_new').val(),
                    group_id: group_id
                };
            }
            else {
                data = {
                    type: "saveattribute",
                    id: attribute_id,
                    cName: $('#cName_'+group_id+'_new').val(),
                    cWertname: $('#cWertname_'+group_id+'_new').val(),
                    bAktiv: ($('#bAktiv_'+group_id+'_new').prop("checked"))?1:0,
                    eWertHerkunft: $('#eWertHerkunft_'+group_id+'_new').val(),
                    group_id: group_id
                };
            }
        }
        else {
            data = {
                type: "saveattribute",
                id: attribute_id,
                cName: $('#cName_'+attribute_id).val(),
                cWertname: $('#cWertname_'+attribute_id).val(),
                bAktiv: ($('#bAktiv_'+attribute_id).prop("checked"))?1:0,
                eWertHerkunft: $('#eWertHerkunft_'+attribute_id).val(),
                group_id: group_id
            };
        }

        saveData(data);
    });

	$('.deleteAttr').on("click", function(e) {
		e.preventDefault();

        var attribute_id = $(this).data("attribute_id");

        data = {
            type: "deleteattribute",
            id: attribute_id
        };

		deleteData(data);
    });

	$('.saveAttrGroup').on("click", function(e) {
		e.preventDefault();
        var group_id = $(this).data("group_id");

        if ($('#bGruppeAktiv_'+group_id).is(':checked'))
		{
			var active = 1;
		}
        else
		{
			var active = 0;
		}

        data = {
            type: "saveattributegroup",
            id: group_id,
			name: $('#cGroupName_'+group_id).val(),
            bAktiv: active
        };

        saveData(data);

    });

	$('.resetAttr').on("click", function(e) {
		e.preventDefault();

        var attribute_id = $(this).data("attribute_id");

        data = {
            type: "resetattribute",
            id: attribute_id
        };

        resetAttribute(data);
    });

	function saveData(postData)
	{
        $.ajax({
            type: 'POST',
            url: form_url,
            data: postData,
            success: function (data) {
                if (data.success === 1) {
                    swal({
                        title: 'ERFOLG',
                        html: 'Der Eintrag wurde gespeichert',
                        type: 'success',
                        timer: 2000,
                        showConfirmButton: false
                    }).then(function() {
                        swal({
                            title: 'Seite neu laden?',
                            text: "Soll die Seite neu geladen werden?",
                            type: 'question',
                            showCancelButton: true,
                            confirmButtonColor: '#3085d6',
                            cancelButtonColor: '#d33',
                            confirmButtonText: 'Ja, neu laden',
                            cancelButtonText: 'Nicht neu laden'
                        }).then(function(result) {
                            if (result.value) {
                                location.reload();
                            }
                        });
                    });
                }
                else {
                	console.log(data);
                    swal({
                        title: 'FEHLER',
                        text: 'Beim Speichern des Elements ist ein Fehler aufgetreten!',
                        type: 'error'
                    });
                }
            },
            error: function (data) {
                swal({
                    title: 'FEHLER',
                    text: 'Beim Speichern des Elements ist ein Fehler aufgetreten!',
                    type: 'error'
                });
            },
            dataType: 'json'
        });
    }

    function deleteData(data)
	{
        swal({
            title: 'Wirklich lschen?',
            text: "Soll der Eintrag wirklich gelscht werden? Der Vorgang kann nicht rckgngig gemacht werden!",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ja, lschen!',
            cancelButtonText: 'Stopp, bitte nicht lschen!'
        }).then(function(result) {
            if (result.value) {
                $.ajax({
                    type: 'POST',
                    url: form_url,
                    data: data,
                    success: function (data) {
                        if (data.success === 1) {
                            swal({
                                title: 'ERFOLG',
                                html: 'Der Eintrag wurde gelscht',
                                type: 'success',
                                timer: 2000,
                                showConfirmButton: false
                            }).then(function() {
                                swal({
                                    title: 'Seite neu laden?',
                                    text: "Soll die Seite neu geladen werden?",
                                    type: 'question',
                                    showCancelButton: true,
                                    confirmButtonColor: '#3085d6',
                                    cancelButtonColor: '#d33',
                                    confirmButtonText: 'Ja, neu laden',
                                    cancelButtonText: 'Nicht neu laden'
                                }).then(function(result) {
                                    if (result.value) {
                                        location.reload();
                                    }
                                });
                            });
                        }
                        else {
                            swal({
                                title: 'FEHLER',
                                text: 'Beim Speichern des Elements ist ein Fehler aufgetreten!',
                                type: 'error'
                            });
                        }
                    },
                    error: function (data) {
                        swal({
                            title: 'FEHLER',
                            text: 'Beim Speichern des Elements ist ein Fehler aufgetreten!',
                            type: 'error'
                        });
                    },
                    dataType: 'json'
                });
            }
        });
    }

    function resetAttribute(postData)
	{
        swal({
            title: 'Wirklich zurcksetzen?',
            text: "Soll der Eintrag wirklich zurckgesetzt werden?",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Ja, zurcksetzen!',
            cancelButtonText: 'Stopp, bitte nicht zurcksetzen!'
        }).then(function(result) {
            if (result.value) {
                $.ajax({
                    type: 'POST',
                    url: form_url,
                    data: postData,
                    success: function (data) {
                        if (data.success === 1) {
                            swal({
                                title: 'ERFOLG',
                                html: 'Der Eintrag wurde zurckgesetzt',
                                type: 'success',
                                timer: 2000,
                                showConfirmButton: false
                            }).then(function () {
                                swal({
                                    title: 'Seite neu laden?',
                                    text: "Soll die Seite neu geladen werden?",
                                    type: 'question',
                                    showCancelButton: true,
                                    confirmButtonColor: '#3085d6',
                                    cancelButtonColor: '#d33',
                                    confirmButtonText: 'Ja, neu laden',
                                    cancelButtonText: 'Nicht neu laden'
                                }).then(function (result) {
                                    if (result.value) {
                                        location.reload();
                                    }
                                });
                            });
                        } else {
                            swal({
                                title: 'FEHLER',
                                text: 'Beim Zurcksetzen des Elements ist ein Fehler aufgetreten!',
                                type: 'error'
                            });
                        }
                    },
                    error: function (data) {
                        swal({
                            title: 'FEHLER',
                            text: 'Beim Zurcksetzen des Elements ist ein Fehler aufgetreten!',
                            type: 'error'
                        });
                    },
                    dataType: 'json'
                });
            }
        });
    }
</script>